Bug 863749 - applications freeze on access to non-existent devices with automount
applications freeze on access to non-existent devices with automount
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 03:27 EDT by Andrew Travneff
Modified: 2014-12-11 04:17 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 04:17:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace log (6.97 KB, text/plain)
2012-10-07 03:27 EDT, Andrew Travneff
no flags Details

  None (edit)
Description Andrew Travneff 2012-10-07 03:27:28 EDT
Created attachment 622907 [details]
strace log

Description of problem:
I have some records in fstab describing devices which can be absent (HDD not plugged).
I enabled automount for them and expected just a file open error if any application tries to access file on an absent device. Actual behaviour is that application freezes forever (more than systemd mount timeout).

Example record in fstab:

UUID=0E64-0E6B   /mnt/test   vfat       x-systemd.automount,x-systemd.device-timeout=7,rw,nosuid,nodev,noexec,user,utf8,shortname=mixed   0 0

Strace of `/bin/ls /mnt/test` attached, it hangs at stat("/mnt/test") for that case.

Version-Release number of selected component (if applicable):
kernel-3.5.4-2.fc17.x86_64
systemd-44-17.fc17.x86_64
libmount-2.21.2-2.fc17.x86_64

How reproducible:
Always.

Might be related: RHBZ#859374
Comment 1 Fedora End Of Life 2013-07-03 23:35:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Heldwin 2013-12-19 14:30:24 EST
It also happens in F20
Comment 3 Heldwin 2013-12-19 14:34:15 EST
systemd-208-9.fc20.x86_64
kernel-3.12.5-301.fc20.x86_64
libmount-2.24-2.fc20.x86_64

with a 10 sec time out, after the 10 seconds I tried to access it, I get these messages:
systemd: Timed out waiting for device dev-sdb1.device.
systemd: Dependency failed for /mnt/backup.
Comment 4 Jan Synacek 2014-12-11 04:17:49 EST
I can't reproduce this.

systemd-208-28.fc20.x86_64

If this is still a problem for anybody, please, reopen this bugzilla with and attach a reproducer.

Note You need to log in before you can comment on or make changes to this bug.